xplanet (1.3.1-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:40:53 +1100

xplanet (1.3.1-3build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:46:10 +0000

xplanet (1.3.1-3build1) lunar; urgency=medium

  * No-change rebuild against libtiff6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Feb 2023 04:37:13 +0000

xplanet (1.3.1-3) unstable; urgency=medium

  * Mark xplaned-images as Multi-Arch: foreign
  * autopkgtest: Don't compare for equal images, as that fails on some
    architectures. Instead compare for very similar images.

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 04 Oct 2022 21:41:12 +0200

xplanet (1.3.1-2) unstable; urgency=medium

  * Break changelog at 80 chars (Thanks lintian)
  * Changed version of debian/watch to 4.  No further changes required,
    uscan still works.
  * Fix typo in VCS URL
  * Add some basic autopkgtest
  * Also install scatter files
  * Change maintainer address to my new Debian one

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 27 Sep 2022 21:21:54 +0200

xplanet (1.3.1-1) unstable; urgency=low

  [ Andreas Metzler ]
  * New upstream version 1.3.1
    + Unfuzz patches.
    + Replace giflib5.diff with a minimal patch from Gentoo (also used by
      Fedora), which also fixes the build error against giflib 5.2.
      Closes: #939035
  * [lintian] Delete trailing whitespace.
  * Use DH 12 compat level.
  * Set Rules-Requires-Root: no.
  * Set DEB_BUILD_MAINT_OPTIONS := hardening=+all.
  * Update copyright Format URL and update syntax, using unique license
    identifiers. Also drop trailing whitespace.

  [ Alexander Reichle-Schmehl ]
  * Adopt package (Closes: #1003911)
  * Change build depends from libnetpbm10-dev to libnetpbm-dev
    (Closes: #1016404)
  * Add VCS headers to debian/control
  * Bump standards to 4.6.1 (no changes needed)
  * Fix missing copyright: for smile.png in debian/copyright

 -- Alexander Reichle-Schmehl <alexander@alphamar.org>  Wed, 10 Aug 2022 18:34:59 +0200

xplanet (1.3.0-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop the Debian menu, as xplanet without arguments is basically unusable.
    (Closes: #970129)

 -- Pino Toscano <pino@debian.org>  Sun, 09 Jan 2022 12:41:32 +0100

xplanet (1.3.0-5.1) unstable; urgency=medium
 
  * Non-maintainer upload.
  * debian/control:
    - Build-Depend on dh-autoreconf instead autotools-dev.
    - Add pkg-config to the Build-Depends list.
  * debian/patches/freetype2_pkg-config.patch:
    - Use pkg-config to detect FreeType 2, as freetype-config is not installed
      in FreeType 2.9.1 or later (Closes: #892438).
  * debian/rules:
    - Call 'dh --with autoreconf' instead of 'dh --with autotools-dev'.
  * xplanet-images:
    - Install the source README file in /usr/share/doc/xplanet-images instead
      of /usr/share/doc/xplanet-images/README (Closes: #835821).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 03 Nov 2018 23:08:14 +1100

xplanet (1.3.0-5) unstable; urgency=low

  * Fix font Depends from ttf-freefont to fonts-freefont-ttf too.
  * Fix various compilation warnings

 -- Steve McIntyre <93sam@debian.org>  Wed, 19 Apr 2017 16:18:09 +0100

xplanet (1.3.0-4) unstable; urgency=low

  * Fix compilation with g++-6. Closes: #811820

 -- Steve McIntyre <93sam@debian.org>  Mon, 18 Jul 2016 00:20:55 +0100

xplanet (1.3.0-3) unstable; urgency=low

  * Update to use giflib5, using patch from Matthias Klose (thanks!).
    Closes: #803293
  * Update Standards-Version to 3.9.6

 -- Steve McIntyre <93sam@debian.org>  Sun, 13 Dec 2015 18:53:26 +0000

xplanet (1.3.0-2) unstable; urgency=low

  * Switch font dependency from ttf-freefont to fonts-freefont-ttf.
    Closes: #738261

 -- Steve McIntyre <93sam@debian.org>  Sun, 09 Feb 2014 01:53:58 +0000

xplanet (1.3.0-1) unstable; urgency=low

  * New maintainer
  * Move to new upstream version 1.3.0. (Closes: #678464)
    + Upstream highlights:
      - add "outlined" keyword to marker files
      - update JPL ephemeris code for 64 bit machines
      - add bump_shade config file parameter
      - add opacity keyword for markers
      - implement Rayleigh scattering
    + Remove old Debian patches now obsoleted:
      - possible-buffer-overflow (included upstream)
      - orbit-step-bug (included upstream)
      - gcc44-includes (included upstream)
      - hyphen-used-as-minus-sign (included upstream)
      - tsc-aspect-ratio (included upstream)
    + Update (and include!) FreeMonoBold
  * Update libtiff build-deps (Closes: #736052)
  * Update libpng build-deps (Closes: #662568)
  * Update Standards-Version to 3.9.5
  * Update to debhelper 9 to enable hardening build.

 -- Steve McIntyre <93sam@debian.org>  Thu, 30 Jan 2014 18:54:10 +0000

xplanet (1.2.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Please Build-Depends on libjpeg-dev, not libjpeg62-dev":
    do as the bug report requests (closes: #634650).

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Nov 2011 17:36:25 +0100

xplanet (1.2.1-4) unstable; urgency=low

  * Add a README.Debian about imagery (Closes: #280351, #588738)
  * Add --with autotools-dev to rules (Closes: #559200)
  * Bump Standards-Version to 3.9.1 (no changes)
  * Migrate to 3.0 (quilt) source format
  * Remove B-D on quilt and README.source
  * Use Breaks+Replaces, not Conflicts+Replaces (§7.4)

 -- Ruben Molina <rmolina@udea.edu.co>  Wed, 15 Dec 2010 10:15:29 -0500

xplanet (1.2.1-3) unstable; urgency=low

  * Now using dh 7 tiny rules
  * Standards bumped to 3.8.3 (added debian/README.source)
  * New patch (tsc-aspect-ratio) from upstream svn revision 160.
  * Tag all the patches using DEP-3 format

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 30 Nov 2009 16:21:59 -0500

xplanet (1.2.1-2) unstable; urgency=low

  * New patch (possible-buffer-overflow) from upstream svn revision 153.
  * New patch (orbit-step-bug) from upstream svn revision 154.
  * Standards bumped to 3.8.2 (no changes)
  * Update debian/watch to avoid nomap-* versions

 -- Ruben Molina <rmolina@udea.edu.co>  Wed, 01 Jul 2009 21:50:41 -0500

xplanet (1.2.1-1) unstable; urgency=low

  * New upstream release
  * New debian/rules from experiemntal migrated to unstable
  * Standards bumped to 3.8.1 (no changes)

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 27 Apr 2009 10:06:47 -0500

xplanet (1.2.0+svn147-2) experimental; urgency=low

  * Fix duplicate-font-file lintian warning
    + Add Depends and Build-Depends on ttf-freefont
    + Add symlink in xplanet.links for FreeMonoBold.ttf
  * Fix copyright-refers-to-symlink-license for LGPL-2 and GPL-2
  * Enable support for freetype pango, gif, jpeg, png, pnm, and tiff
    (Adding Build-Depends from unstable)

 -- Ruben Molina <rmolina@udea.edu.co>  Sun, 15 Feb 2009 19:47:25 -0500

xplanet (1.2.0+svn147-1) experimental; urgency=low

  * New upstream SVN snapshot.
  * Update debian/watch to track upstream svn revisions.
  * Add a get-orig-source rule to retrieve sources.
  * New patch to fix a FTBFS with the upcoming GCC 4.4
    Closes: #505013 (ftbfs-gcc-4.4).
  * Fully reworked debian/rules file.

 -- Ruben Molina <rmolina@udea.edu.co>  Sat, 31 Jan 2009 19:39:29 -0500

xplanet (1.2.0-7) unstable; urgency=low

  * Converted patches to unified diff. Closes: #485024 (3.0-quilt-by-default)
  * Updated Standards-Version to 3.8.0 (no changes needed)
  * Reformatted debian/copyright (and fixed some typos)
  * Added Build-Depends on autotools-dev and rules to update config scripts

 -- Ruben Molina <rmolina@udea.edu.co>  Sat, 26 Jul 2008 18:49:22 -0500

xplanet (1.2.0-6) unstable; urgency=low

  * New maintainer. Closes: #476179.
  * Solved lintian warnings
    + Adjusted rules file to use '[ ! -f Makefile ] || $(MAKE) distclean'
      instead of '-$(MAKE) distclean'.
    + Adjusted control file to use quilt (>= 0.40) instead of (>= 0.40-1).
    + Adjusted rules file to remove empty images/ dir.
  * Closed old bugs not present in current version.
    + xplanet now reads environment variables properly (Closes: #218578).
    + xplanet now includes a 'constellations' example in
      /usr/share/xplanet/arcs/ (Closes: #187503).
    + Satellite trajectories were verified using AMSAT's TLE-data and Real
      Time Satellite Tracking from n2yo.com (Closes: #249728).
  * Homepage field added
  * Update debian/copyright to include third parties, and rewrite using
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Remove obsolete debian/package.docs
  * Added a patch for the man page, to replace hyphens where a minus sign
    was intended.

 -- Ruben Molina <rmolina@udea.edu.co>  Tue, 20 May 2008 08:11:52 -0500

xplanet (1.2.0-5) unstable; urgency=low

  * Update Build-Depends to libgif-dev. (Closes: #474310)

 -- Christoph Berg <myon@debian.org>  Mon, 14 Apr 2008 23:19:44 +0200

xplanet (1.2.0-4) unstable; urgency=low

  * Yet again fix FTBFS with gcc-4.3, missing #includes. (Closes: #454885)
  * Move menu entry to Applications/Science/Astronomy.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Dec 2007 23:28:40 +0100

xplanet (1.2.0-3) unstable; urgency=low

  * Fix FTBFS with gcc-4.3, missing #includes, thanks to Martin Michlmayr for
    the patch (Closes: #417782).

 -- Christoph Berg <myon@debian.org>  Wed, 04 Apr 2007 15:30:32 +0000

xplanet (1.2.0-2) unstable; urgency=low

  * New maintainer (Closes: #405735).
  * Build-Depends:
    + Set png depends to libpng12-dev | libpng-dev.
    + Set gif depends to libungif4-dev | giflib-dev (Closes: #333912).
    + Drop redundant x-dev dependency.
  * xplanet-images enhances instead of depends on xplanet (Closes: #365723).
  * Remove obsolete aegis test suite.
  * Remove redundant postinst/postrm files, clean up rules, add watch file.
  * Ship FAQ from upstream website (Closes: #302798), drop AUTHORS.
  * Bump Standards-Version.

 -- Christoph Berg <myon@debian.org>  Thu, 11 Jan 2007 21:04:55 +0100

xplanet (1.2.0-1.4) unstable; urgency=low

  * Porter NMU.
  * Update config.guess/config.sub. Closes:#332756.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 22:04:17 +0100

xplanet (1.2.0-1.3) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Remove the only debconf notes that applies only to upgrades
    from pre-sarge versions which we don't support in etch.
    Closes: #388987
    This allows removing debian/config and the dependency on debconf and
    po-debconf
    This also removes the need for translated templates.
    Closes: #295301, #292547, #364305
  * Remove extra cruft in the distributed files:
    debian/postrm.debhelper, debian/postinst.debhelper, debian/menu.old
    debian/substvars
  * Remove duplicate build relation on libfreetype6-dev

 -- Christian Perrier <bubulle@debian.org>  Wed,  1 Nov 2006 18:14:45 +0100

xplanet (1.2.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Updated Brazilian Portuguese debconf templates translation, as
    one with absurd mistakes which may seriously mislead users was
    applied 7 months ago, despite several warnings and complaints
    (Closes: #307225).

 -- Guilherme de S. Pastore <gpastore@debian.org>  Mon, 24 Apr 2006 13:53:25 -0300

xplanet (1.2.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced obsolete xlibs-dev build dependency with individual
    library packages, (Closes: #346935).

 -- Eric Evans <eevans@sym-link.com>  Mon, 16 Jan 2006 20:28:57 -0600

xplanet (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Added debconf-2.0 alternate. Thanks Joey Hess <joeyh@debian.org>.
    Closes: #332158
  * Added Swedish translation for debconf. Thanks Daniel Nylander
    <yeager@lidkoping.net>. Closes: #330767
  * Added README.config from the config subdir of xplanet. Thanks
    Stanislav V. Vlasov <f172@sv.mh.ru>. Closes: #329049
  * Took out the old deprecated -image option from README.Debian. Thanks
    Dan Jacobson <jidanni@jidanni.org>. Closes: #324532
  * Added Vietnamese translation for debconf. Thanks Clytie Siddall
    <clytie@riverland.net.au>. Closes: #324266
  * Updated German translation for debconf. Thanks Jens Nachtigall
    <nachtigall@web.de>. Closes #295301
  * Updated French translation for debconf. Thanks Christian Perrier
    <bubulle@debian.org>. Closes: #292869
  * Added Brazilian Portuguese translation for debconf. Thanks Rodrigo
    Tadeu Claro <rlinux@cipsga.org.br>. Closes: #307225
  * Updated Czech translation for debconf. Thanks Jan Outrata
    <outrataj@upcase.inf.upol.cz>. Closes: #311982
  * Moved to debhelper compat level 4; upgraded standards-version to
    most recent

 -- Gopal Narayanan <gopal@debian.org>  Wed,  5 Oct 2005 10:08:33 -0400

xplanet (1.1.2-1) unstable; urgency=low

  * New upstream release
  * Added/updated debconf translations to Danish, german, czech. Thanks
    to Morten Bo Johansen <mojo@mbjnet.dk>, Jens Nachtigall
    <nachtigall@web.de>, Jan Outrata <outrataj@upcase.inf.upol.cz>.
    Closes: #285971, #271370, #259186
  * Star database moved from /etc to /usr/share. Thanks Francesco
    Potorti <Potorti@isti.cnr.it>. Closes: #283823, #250100
  * The latest few versions of xplanet use nominal memory. Closes:
    #210369
  * debconf warns user only if upgrading from pre-1.0. Thanks Jordi
    Mallach <jordi@debian.org>. Closes: #260334

 -- Gopal Narayanan <gopal@debian.org>  Sat, 22 Jan 2005 15:32:04 -0500

xplanet (1.1.0-2) unstable; urgency=medium

  * Rebuild with libtiff4-dev. Closes: #262827

 -- Gopal Narayanan <gopal@debian.org>  Mon,  2 Aug 2004 22:20:08 -0400

xplanet (1.1.0-1) unstable; urgency=low

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Wed,  7 Jul 2004 00:27:39 -0400

xplanet (1.0.7-1) unstable; urgency=low

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Sun,  9 May 2004 21:58:40 -0400

xplanet (1.0.6-1) unstable; urgency=low

  * New upstream release
  * Upstream adds -projection random per user request. Closes: #238243
  * Locale bug truly fixed. Closes: #233500

 -- Gopal Narayanan <gopal@debian.org>  Sun,  9 May 2004 20:51:07 -0400

xplanet (1.0.5-1) unstable; urgency=low

  * New upstream release
  * New vroot.h added to xplanet for a couple of versions at least.
    Should fix xinerama under xscreensaver bug. Closes: #217685
  * Upstream improves locale support. Should have fixed locale
    interaction problem reports. Reopen if necessary. Closes: #186129
  * Same locale problem probably source of this bug as well. Please
    reopen if not fixed. Closes: #233500

 -- Gopal Narayanan <gopal@debian.org>  Fri,  9 Apr 2004 23:19:57 -0400

xplanet (1.0.4-1) unstable; urgency=low

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Fri,  9 Apr 2004 07:07:35 -0400

xplanet (1.0.3-4) unstable; urgency=low

  * Comment out line in src/libdisplay/DisplayBase.cpp that referred to
    drawUTF8test which had a bogus filepath. Closes: #234643

 -- Gopal Narayanan <gopal@debian.org>  Sun, 29 Feb 2004 13:09:46 -0500

xplanet (1.0.3-3) unstable; urgency=low

  * Installed Danish debconf template from Claus Hindsgaul
    <claus_h@image.dk>. Thanks Claus

 -- Gopal Narayanan <gopal@debian.org>  Mon, 16 Feb 2004 17:20:13 -0500

xplanet (1.0.3-2) unstable; urgency=low

  * Remove old debconf note from postinst that was causing installation
    failure. Thanks Martijn Pieters <mj@zopatista.com>. Closes: #231029

 -- Gopal Narayanan <gopal@debian.org>  Tue,  3 Feb 2004 21:49:43 -0500

xplanet (1.0.3-1) unstable; urgency=low

  * New upstream release. Closes: #227318.
  * Run configure to enable screeensaver extension. Closes: #211999
  * Removed Redundant debconf note xplanet-images. Closes: #205421
  * Switched to libnetpbm10-dev for compilation. Closes: #211256
  * Sorry folks, missed upstream version 1.0.2
  * Upstream fixes window_title segv bug. Closes: #219022
  * Closing old bug xplanetbg remains after logout, since xplanetbg is
    no longer available in xplanet. Closes: #168468

 -- Gopal Narayanan <gopal@debian.org>  Tue, 27 Jan 2004 22:47:08 -0500

xplanet (1.0.1-3) unstable; urgency=low

  * Turn on X Screensaver extension so that idlewait and hibernate
    options will work
  * Fixed the long description of xplanet to remove statements alluding
    to the deprecated animate features in xplanet. Closes: #198442
  * Really closing the fuzzy string bug in the french po file NMU'ed
    previously. Closes: #201262
  * Updated Japanese translation from Tomohiro KUBOTA
    <debian@tmail.plala.or.jp>. Thanks. Closes: #202817
  * Closing fixed NMU bugs. Closes: #183413, #191845, #191734, #194651,
    #201862

 -- Gopal Narayanan <gopal@debian.org>  Tue, 12 Aug 2003 14:28:17 -0400

xplanet (1.0.1-2.2) unstable; urgency=low

  * Non-maintainer upload (no explicit maintainer agreement..:-)
  * The former NMU had one fuzzy string in fr.po. This file is now
    correct. Closes: #201862

 -- Christian Perrier <bubulle@debian.org>  Fri, 18 Jul 2003 11:29:33 +0200

xplanet (1.0.1-2.1) unstable; urgency=low

  * NMU
  * French debconf templates translation. Closes: #191734
  * Japanese debconf templates translation. Thanks,  Tomohiro KUBOTA.
    Closes: #194651
  * quote-printable removed from german templates translation. Correct
    ISO-8859-1 characters put in place. Closes: #183413.
  * Corrected typo in templates. Closes: #191845

 -- Christian Perrier <bubulle@debian.org>  Sun, 29 Jun 2003 18:56:05 +0200

xplanet (1.0.1-2) unstable; urgency=low

  * Moved configuration type files from /usr/share/xplanet to
    /etc/xplanet and declare them as conffiles. There are now links from
    /usr/share/xplanet to the corresponding /etc/xplanet files. Closes:
    #63817

 -- Gopal Narayanan <gopal@debian.org>  Fri, 25 Apr 2003 15:27:13 -0400

xplanet (1.0.1-1) unstable; urgency=low

  * New upstream release
  * Switched to po-based debconf templates. Thanks Christian Perrier
    <bubulle@debian.org> for pointing the strategy and offering the
    French translation. Closes: #186329
  * Newer gcc seems to fix crash due to use of grid=true in mercator
    projection. Please reopen if this is not true. Closes: #190219

 -- Gopal Narayanan <gopal@debian.org>  Wed, 23 Apr 2003 22:11:57 -0400

xplanet (1.0.0-1) unstable; urgency=low

  * New upstream release
  * This is first stable release of xplanet. Major changes have
    happened. Please see NEWS file in /usr/share/doc/xplanet
  * xplanet does not contain tkxplanet anymore, does not depend on wish.
    Closes: #150843
  * Images path in tkxplanet is wrong bug. Closing it since tkxplanet is
    not in xplanet anymore. Closes: #167178
  * xplanet -animate shows white sphere without texture. Closing it
    since xplanet does not have animate option anymore. Closes: #169867
  * tkxplanet does not find wish. Closing this bug since tkxplanet is no
    longer in xplanet. Closes: #174174
  * Menu error for tkxplanet. Closing. Closes: #175453
  * Closing bug - animate is much too fast on modern computers. animate
    no longer available. Closes: #183813
  * Fixed manpage to point at /usr/share location for files on Debian
    systems. Closes: #151521
  * cloud_image option in manpage referred to non-existent file. Now
    cloud_image is not a command-line option, and is absent in manpage.
    Closes: #156569
  * xplanet -help output is misaligned. Upstream fixed this. Closes:
    #159439
  * xplanet no longer depending on OpenGL libraries. Closes OpenGL GLX
    extension not supported bug. Closes: #127058
  * Closing some fixed bugs in two previous NMUs. Closes: #170211,
    #176613, #150515
  * Dependency on libpng2 removed, and updated to libpng3. Closes:
    #177166

 -- Gopal Narayanan <gopal@debian.org>  Sun, 23 Mar 2003 13:57:59 -0500

xplanet (0.94-1.1) unstable; urgency=low

  * Non Maintainer Upload
  * Change build-dep xlib6g-dev -> xlibs-dev (closes: #170211)
  * Add url to description (closes: #176613)
  * Don't set /usr/doc link in postinst.

 -- David Kimdon <dwhedon@debian.org>  Sat,  1 Mar 2003 22:09:52 -0800

xplanet (0.94-1) unstable; urgency=low

  * New upstream release
  * Upstream fixes satfile problem reported by Jean-Philippe Guerard
    <jean-philippe.guerard@laposte.net>. Closes: #130770
  * Added Japanese translation for debconf. Thanks Tomohiro KUBOTA
    <tkubota@riken.go.jp>. Closes: #137292

 -- Gopal Narayanan <gopal@debian.org>  Mon,  8 Apr 2002 11:27:33 -0400

xplanet (0.93-2) unstable; urgency=low

  * Corrected url for ssystem webpage in README.Debian. Closes: #130760

 -- Gopal Narayanan <gopal@debian.org>  Wed, 20 Feb 2002 23:54:52 -0500

xplanet (0.93-1) unstable; urgency=low

  * New upstream release
  * Added menu entries for xplanet, tkxplanet and xplanetbg based on
    patch supplied. Thanks Lee Maguire. Closes: #128812
  * Upstream has integrated transliteration and locale-specific patches
    from Tomohiro Kubota. Closes: #126362, #126353

 -- Gopal Narayanan <gopal@debian.org>  Thu, 24 Jan 2002 00:42:45 -0500

xplanet (0.92-1) unstable; urgency=low

  * New upstream release
  * Upstream incorporated transliteration patches for Cyrillic, Japanese
    Katakana, and Korean Hangul. Closes: #126362
  * Upstream incorporated date/time localization patches for multibyte
    character. See new labelformat option in xplanet. Closes: #126353

 -- Gopal Narayanan <gopal@debian.org>  Wed,  2 Jan 2002 02:34:48 +0000

xplanet (0.91-1) unstable; urgency=low

  * New upstream release
  * Upstream fixed locale problem in -observer usage. Closes: #119308
  * Corrected some spellingerrors; Updated descriptions in control file.
    Closes: #125560, #125561

 -- Gopal Narayanan <gopal@debian.org>  Mon, 24 Dec 2001 16:00:36 +0000

xplanet (0.90-3) unstable; urgency=low

  * Modified debian/rules to make sure to remove planet maps from image
    dir in the arch-dependent package

 -- Gopal Narayanan <gopal@debian.org>  Mon, 29 Oct 2001 02:49:55 +0000

xplanet (0.90-2) unstable; urgency=low

  * Using dh_movefiles to solve curious build bugs for other archs other
    than i386. Closes: #117280

 -- Gopal Narayanan <gopal@debian.org>  Mon, 29 Oct 2001 01:05:54 +0000

xplanet (0.90-1) unstable; urgency=low

  * New upstream release
  * Confusion of perl manpage with Polish translation fixed. Closes:
    #114418
  * Upstream has fixed bug in generating grids. Closes: #111023
  * fuzz option handling fixed upstream. Closes: #113303
  * Upstream explains that forward slashes are delimiters and hence user
    should use mapdir to specify images in different dir. This is
    documented in manpage. Not really a bug. So Closes: #113249
  * Modified CPPFLAGS in debian/rules to properly account for include
    file location

 -- Gopal Narayanan <gopal@debian.org>  Tue, 23 Oct 2001 19:30:12 +0000

xplanet (0.84-2) unstable; urgency=low

  * Compiled xplanet against gcc 2.95 instead of gcc 3.0. xplanet can be
    compiled and does work with gcc3.0 though. Closes: #110040

 -- Gopal Narayanan <gopal@debian.org>  Fri, 31 Aug 2001 12:41:19 +0000

xplanet (0.84-1) unstable; urgency=low

  * New upstream release
  * xplanet now compiles with gcc 3.0. Closes: #104721
  * Upstream fixed marker file handling problems. Closes: #104206

 -- Gopal Narayanan <gopal@debian.org>  Wed, 22 Aug 2001 00:50:02 +0000

xplanet (0.83-3) unstable; urgency=low

  * Added conflicts field for xplanet-images so that it can be upgraded
    from stable without any conflict. Closes: #104086

 -- Gopal Narayanan <gopal@debian.org>  Mon,  9 Jul 2001 17:31:46 +0000

xplanet (0.83-2) unstable; urgency=low

  * Fixed Readme.Debian to clarify that image files are in separate
    package. Closes: #101861

 -- Gopal Narayanan <gopal@debian.org>  Fri, 22 Jun 2001 13:39:47 +0000

xplanet (0.83-1) unstable; urgency=low

  * New upstream release
  * Added german translation for debconf from Sebastian Feltel
    <sebastian@feltel.de>. Closes: #99502

 -- Gopal Narayanan <gopal@debian.org>  Fri,  8 Jun 2001 19:44:52 +0000

xplanet (0.82-3) unstable; urgency=low

  * Fixed netpbm build depends (again). Closes: #99338

 -- Gopal Narayanan <gopal@debian.org>  Thu, 31 May 2001 09:46:16 +0000

xplanet (0.82-2) unstable; urgency=low

  * Fixes for some debconf issues suggested by Joey Hess. Closes: #98968

 -- Gopal Narayanan <gopal@debian.org>  Tue, 29 May 2001 00:28:17 +0000

xplanet (0.82-1) unstable; urgency=low

  * New upstream release
  * Upstream fixed segfaults for markerfile with no labels. Closes:
    #94100

 -- Gopal Narayanan <gopal@debian.org>  Mon,  7 May 2001 11:33:31 -0400

xplanet (0.81-2) unstable; urgency=low

  * Fixed xplanet Build-depends malformed line. Closes: #93021
  * xplanet now ignores bad cloud file. Closes: #76580
  * Removed unnnecessary imlib-dev from Build-Depends

 -- Gopal Narayanan <gopal@debian.org>  Thu,  5 Apr 2001 15:17:13 -0400

xplanet (0.81-1) unstable; urgency=low

  * New upstream release
  * xplanet now searches for planet maps in -mapdir location first and
    then looks at current directory. Closes: #92327

 -- Gopal Narayanan <gopal@debian.org>  Thu,  5 Apr 2001 09:52:41 -0400

xplanet (0.80-3) unstable; urgency=low

  * README file in xplanet-images was duplicated in two places. Removed
    one and symlinked to the other. Closes: #90988

 -- Gopal Narayanan <gopal@debian.org>  Sun, 25 Mar 2001 14:16:19 -0500

xplanet (0.80-2) unstable; urgency=low

  * Recompiled against libnetpbm9, since netpbm1 is no longer available
    on unstable. Closes: #90775

 -- Gopal Narayanan <gopal@debian.org>  Sat, 24 Mar 2001 09:37:09 -0500

xplanet (0.80-1) unstable; urgency=low

  * New upstream release
  * Create new package xplanet-images. v0.80 contains new earth maps after
    convincing upstream to include a couple of free maps.
  * Added liblcms-dev to Build-Depends. Closes: #88683
  * New Upstream fixes segfault when merging cloud files, checked by
    Joey Hess on test package. Closes: #88687
  * New upstream takes care of problem with building with gif support
    when libungif3g is installed. Verified by Joey Hess on test package
    I provided. Closes: #88686
  * Modified README.Debian and debconf scripts a bit to reflect that as
    of this version, day and  night earth maps are available as a
    separate debian package xplanet-images. Yay

 -- Gopal Narayanan <gopal@debian.org>  Mon, 19 Mar 2001 09:53:44 -0500

xplanet (0.79g-1) unstable; urgency=low

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Tue, 13 Mar 2001 14:25:06 -0500

xplanet (0.79e-1) unstable; urgency=low

  * New upstream release
  * Build from source fails. libmagick5 broke the old version. This new
    upstream depends on libmagick++ and fixes the problem. Closes:
    #88016
  * Upgraded to Standards-Version 3.5.2.0

 -- Gopal Narayanan <gopal@debian.org>  Sat,  3 Mar 2001 09:38:46 -0500

xplanet (0.73-3) unstable; urgency=low

  * Compiled against libmagick5. Closes: #86833

 -- Gopal Narayanan <gopal@debian.org>  Wed, 21 Feb 2001 08:49:05 -0500

xplanet (0.73-2) unstable; urgency=low

  * Reordered lines in debian/rules to fix debconf purging problem in
    postrm. Closes: #85769

 -- Gopal Narayanan <gopal@debian.org>  Tue, 20 Feb 2001 10:41:35 -0500

xplanet (0.73-1) unstable; urgency=low

  * New upstream release
  * Fixed bug that reported lack of maps, and README.Debian encouraging
    mucking around in /usr/share. Closes: #67575
  * Fixed bug: xplanet Depends on libmagick4g, but only libmacgick5
    available on woody. Closes: #67550
  * Fixed bug: xplanet missing build dependencies. Closes: #67536
  * Added netpbm source dependency for pnm support

 -- Gopal Narayanan <gopal@debian.org>  Fri,  4 Aug 2000 15:58:55 -0400

xplanet (0.72a-1) unstable; urgency=low

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Wed,  2 Aug 2000 10:57:05 -0400

xplanet (0.72-1) unstable; urgency=low

  * New upstream release
  * Fixes Animate mode does not show markers. Closes: #49692
  * Fixes Planet Images Unavailable. Closes: #49693
  * Fixes xplanet --animate produces an empty black window. Closes:
    #59633
  * Fixes Xplanet wants a display variable, even in bg mode. Closes:
    #56123
  * Fixes xplanet: New version available. Closes: #67335
  * Use debconf in postinst to warn user about the need to download
    planet maps separately
  * Added README.Debian note to warn user about planet maps
  * First upload by new maintainer

 -- Gopal Narayanan <gopal@debian.org>  Tue, 18 Jul 2000 17:29:57 -0400

xplanet (0.71-1) unstable; urgency=low

  * New upstream release
  * Converted rules files to debhelper format

 -- Gopal Narayanan <gopal@debian.org>  Mon, 17 Jul 2000 16:41:38 -0400

xplanet (0.45-2) unstable; urgency=low

  * New Maintainer

 -- Gopal Narayanan <gopal@debian.org>  Fri, 14 Jul 2000 13:15:49 -0400

xplanet (0.45-1) unstable; urgency=low

  * New upstream release.
  * debian/rules (binary-arch): because Mesa is now linked with svgalib,
    I've had to reluctantly add the hack to add " | svgalib-dummyg1" to
    the depends.

 -- James Troup <james@nocrew.org>  Sun, 16 Jan 2000 23:29:30 +0000

xplanet (0.43-4) unstable; urgency=low

  * aclocal.m4: OPENGLLIBS now needs to use -lGL and -lGLU even for Mesa.
  * debian/rules (build): don't bother passing --with-mesa.

 -- James Troup <james@nocrew.org>  Sun, 16 Jan 2000 22:09:16 +0000

xplanet (0.43-3) unstable; urgency=low

  * debian/postinst: create link from /usr/share/doc to /usr/doc on
    configure.
  * debian/prerm: new file; remove /usr/doc link on upgrade or remove.
  * debian/rules (binary-arch): install documentation into /usr/share/doc
    and manpages into /usr/share/man/.
  * debian/control (Build-Depends): added.
  * debian/copyright: update location of the GPL.  Remove references to
    Linux.  Update list of changes.
  * debian/control (Standards-Version): updated to 3.1.1.1.
  * debian/menu: add missing end quote and correct name of binary.

 -- James Troup <james@nocrew.org>  Sat, 25 Dec 1999 23:09:07 +0000

xplanet (0.43-2) unstable; urgency=low

  * debian/rules (binary-arch): install ChangeLog.
  * Makefile.in (install): install tkxplanet's new manpage.
    (uninstall): remove tkxplanet's new manpage.
  * tkxplanet.1: new file.
  * tkxplanet.in: s/--markerfile/--marker_file/ to make marker file option
    work.
  * debian/menu: new file.
  * debian/postinst: new file; call update-menus.
  * debian/postrm: ditto.
  * debian/rules (binary-arch): install new postinst and postrm.

 -- James Troup <james@nocrew.org>  Sat, 25 Dec 1999 00:05:48 +0000

xplanet (0.43-1) unstable; urgency=low

  * New upstream version.
  * Compiled on the laptop; which runs potato and has
    libstdc++2.10. [#53219]
  * debian/rules (build): make configure executable to work around
    problems with aeb.
  * debian/rules (binary): use make install and install more
    documentation.

 -- James Troup <james@nocrew.org>  Wed, 22 Dec 1999 22:15:30 +0000

xplanet (0.40-1) unstable; urgency=low

  * New upstream version.
  * debian/control (Suggests): add wish for tkxplanet.
  * debian/rules (binary-arch): install tkxplanet.

 -- James Troup <james@nocrew.org>  Thu, 21 Oct 1999 19:10:52 +0100

xplanet (0.30-2) unstable; urgency=low

  * xplanetbg.1: fix .so link. [#43588,#45316]

 -- James Troup <james@nocrew.org>  Thu,  7 Oct 1999 19:16:52 +0100

xplanet (0.30-1) unstable; urgency=low

  * New upstream version.
  * debian/rules (build): use new --with-map-extension option for configure.

 -- James Troup <james@nocrew.org>  Sun, 22 Aug 1999 16:02:08 +0100

xplanet (0.20-1) unstable; urgency=low

  * New upstream version.
  * Install a default map into /usr/share/xplanet/.
  * auxfiles.h: alter path to default image.

 -- James Troup <james@nocrew.org>  Sun, 20 Jun 1999 21:37:04 +0100

xplanet (0.1-1) unstable; urgency=low

  * Initial packaging.

 -- James Troup <james@nocrew.org>  Sat, 15 May 1999 13:29:35 +0100
